package com.chelvc.cloud.vehicle.client;


import com.chelvc.cloud.vehicle.client.param.FeedBackReplyModifyParam;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * 意见反馈回复接口
 *
 * @author liude
 * @data 2024/1/12
 */
@FeignClient("vehicle")
public interface FeedbackReplyClient {

    /**
     * 新增意见反馈回复
     *
     * @param param 新增参数
     * @return 主键
     */
    @PostMapping("/feedbackReply/addFeedbackReply")
    Long addFeedbackReply(@RequestBody FeedBackReplyModifyParam param);

    /**
     * 修改意见回复反馈
     *
     * @param id    主键
     * @param param 修改参数
     */
    @PutMapping("/feedbackReply/updateFeedbackReply")
    void updateFeedbackReply(@RequestParam("id") Long id, @RequestBody FeedBackReplyModifyParam param);

}
