package com.chelvc.cloud.vehicle.client;

import com.chelvc.cloud.vehicle.client.dto.RankAwardRecordDTO;
import com.chelvc.cloud.vehicle.client.param.HandRankAwardParam;
import com.chelvc.cloud.vehicle.client.param.QueryRankAwardRecordParam;
import com.chelvc.framework.common.model.Pagination;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.cloud.openfeign.SpringQueryMap;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

@FeignClient("vehicle")
public interface RankAwardRecordClient {

    @GetMapping("/rankAwardRecord/queryPageList")
    Pagination<RankAwardRecordDTO> queryPageList(@SpringQueryMap QueryRankAwardRecordParam param);

    @PostMapping("/rankAwardRecord/handOutPrize")
    void handOutPrize(@RequestBody HandRankAwardParam param);

    @PostMapping("/rankAwardRecord/cityAwardRank")
    void cityAwardRank();

    @PostMapping("/rankAwardRecord/districtAwardRank")
    void districtAwardRank();
}
