package com.chelvc.cloud.vehicle.client.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class WalletDTO implements Serializable {

    private static final long serialVersionUID = 5181120385581570988L;

    /**
     * 我的资产
     */
    private BigDecimal asset = BigDecimal.ZERO;

    /**
     * 总收益
     */
    private BigDecimal totalEarnings;

    /**
     * 今日收益
     */
    private BigDecimal todayEarnings;

    /**
     * 昨日收益
     */
    private BigDecimal yesterdayEarnings;

    /**
     * 可提现金额
     */
    private BigDecimal withdraw = BigDecimal.ZERO;
}
