package com.chelvc.cloud.vehicle.server.copier;

import com.chelvc.cloud.vehicle.client.dto.HelpCategoryDTO;
import com.chelvc.cloud.vehicle.client.dto.HelpDTO;
import com.chelvc.cloud.vehicle.client.param.HelpCategoryModifyParam;
import com.chelvc.cloud.vehicle.client.param.HelpModifyParam;
import com.chelvc.cloud.vehicle.server.entity.Help;
import com.chelvc.cloud.vehicle.server.entity.HelpCategory;
import org.mapstruct.Builder;
import org.mapstruct.Mapper;
import org.mapstruct.MappingTarget;
import org.mapstruct.factory.Mappers;

import java.util.Collection;
import java.util.List;

/**
 * 帮助信息拷贝接口
 *
 * @author liude
 * @date 2024/3/5
 */
@Mapper(builder = @Builder(disableBuilder = true))
public interface HelpCopier {
    /**
     * 对象拷贝接口实例
     */
    HelpCopier INSTANCE = Mappers.getMapper(HelpCopier.class);

    /**
     * 帮助信息拷贝
     *
     * @param help 帮助信息
     * @return 帮助信息
     */
    HelpDTO copying(Help help);

    /**
     * 帮助信息拷贝
     *
     * @param helps 帮助信息集合
     * @return 帮助信息列表
     */
    List<HelpDTO> copying(Collection<Help> helps);

    /**
     * 帮助信息拷贝
     *
     * @param param 帮助更新参数
     * @return 帮助信息
     */
    Help copying(HelpModifyParam param);

    /**
     * 帮助信息拷贝
     *
     * @param param    帮助更新参数
     * @param help 帮助信息
     */
    void copying(HelpModifyParam param, @MappingTarget Help help);
}
