package com.chelvc.cloud.vehicle.server.service;

import com.chelvc.cloud.vehicle.client.dto.MerchantAssetDTO;
import com.chelvc.cloud.vehicle.server.entity.Asset;

import java.math.BigDecimal;

public interface AssetService {
    /**
     * 查看资产
     * @param userId 用户标识
     * @param type 类型：1-用户；2-商家
     * @return
     */
    Asset queryAsset(Long userId, Integer type);

    /**
     * 更新资产
     * @param operateType 操作类型：0-增加；1-减少
     * @param operateAmount 操作金额
     * @param userId 用户标识
     * @param type 类型：0-平台；1-用户；2-商家
     * @param amountType 金额类型：1-商户资产；2-冻结金额
     * @return
     */
    BigDecimal updateAsset(Integer operateType, BigDecimal operateAmount, Long userId, Integer type, Integer amountType);

    void updatePlatformAsset(BigDecimal platformRealityAmount, BigDecimal payAmount);

    MerchantAssetDTO getMerchantAsset(Long merchantId);
}
