package com.chelvc.cloud.vehicle.server.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.chelvc.cloud.vehicle.client.dto.CarouselImagesDTO;
import com.chelvc.cloud.vehicle.client.param.CarouselImagesModifyParam;
import com.chelvc.cloud.vehicle.client.param.CarouselImagesPagingParam;
import com.chelvc.cloud.vehicle.server.entity.CarouselImages;
import com.chelvc.framework.common.model.Pagination;

import java.util.List;

/**
 * 轮播图业务操作接口
 *
 * @author liude
 * @date 2023/12/16
 */
public interface CarouselImagesService extends IService<CarouselImages> {
    /**
     * 新增轮播图
     *
     * @param param 新增参数
     * @return 轮播图主键
     */
    Long addCarouselImages(CarouselImagesModifyParam param);

    /**
     * 修改轮播图
     *
     * @param id    轮播图主键
     * @param param 修改参数
     */
    void updateCarouselImages(Long id, CarouselImagesModifyParam param);

    /**
     * 查询轮播图
     *
     * @param param 查询参数
     * @return 轮播图分页信息
     */
    Pagination<CarouselImagesDTO> getCarouselImagesPaging(CarouselImagesPagingParam param);

    /**
     * 删除轮播图
     *
     * @param id    轮播图主键
     */
    void deleteCarouselImages(Long id);

    /**
     * 轮播图列表
     * @return
     */
    List<CarouselImagesDTO> listCarouselImages();
}
