package com.chelvc.cloud.vehicle.server.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.chelvc.cloud.vehicle.client.dto.MerchantDTO;
import com.chelvc.cloud.vehicle.client.param.LocationQueryParam;
import com.chelvc.cloud.vehicle.server.entity.HotMerchant;

import java.util.List;

/**
 * 热门搜索业务操作接口
 *
 * @author liude
 * @date 2023/12/16
 */
public interface HotMerchantService extends IService<HotMerchant> {

    /**
     * 新增热门搜索
     *
     * @param param 新增参数
     * @return 热门搜索主键
     */
    Long addHotMerchant(Long id);

    /**
     * 热门搜索商家
     * @return
     */
    List<MerchantDTO> listHotMerchant(LocationQueryParam param);


    /**
     * 猜你喜欢的商家
     * @return
     */
    List<MerchantDTO> likeMerchant(LocationQueryParam param);
}
